/*
 * Copyright (C) 2024 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */


package android.app.appfunctions;

@SuppressWarnings({"unchecked", "deprecation", "all"})
public final class AppFunctionManager {

AppFunctionManager() { throw new RuntimeException("Stub!"); }

public void executeAppFunction(@android.annotation.NonNull android.app.appfunctions.ExecuteAppFunctionRequest request, @android.annotation.NonNull java.util.concurrent.Executor executor, @android.annotation.NonNull android.os.CancellationSignal cancellationSignal, @android.annotation.NonNull android.os.OutcomeReceiver<android.app.appfunctions.ExecuteAppFunctionResponse,android.app.appfunctions.AppFunctionException> callback) { throw new RuntimeException("Stub!"); }

public void isAppFunctionEnabled(@android.annotation.NonNull java.lang.String functionIdentifier, @android.annotation.NonNull java.lang.String targetPackage, @android.annotation.NonNull java.util.concurrent.Executor executor, @android.annotation.NonNull android.os.OutcomeReceiver<java.lang.Boolean,java.lang.Exception> callback) { throw new RuntimeException("Stub!"); }

public void isAppFunctionEnabled(@android.annotation.NonNull java.lang.String functionIdentifier, @android.annotation.NonNull java.util.concurrent.Executor executor, @android.annotation.NonNull android.os.OutcomeReceiver<java.lang.Boolean,java.lang.Exception> callback) { throw new RuntimeException("Stub!"); }

public void setAppFunctionEnabled(@android.annotation.NonNull java.lang.String functionIdentifier, int newEnabledState, @android.annotation.NonNull java.util.concurrent.Executor executor, @android.annotation.NonNull android.os.OutcomeReceiver<java.lang.Void,java.lang.Exception> callback) { throw new RuntimeException("Stub!"); }

public static final int APP_FUNCTION_STATE_DEFAULT = 0; // 0x0

public static final int APP_FUNCTION_STATE_DISABLED = 2; // 0x2

public static final int APP_FUNCTION_STATE_ENABLED = 1; // 0x1
}

