/*
 * Copyright (C) 2008 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */


package android.os;

@SuppressWarnings({"unchecked", "deprecation", "all"})
public class RemoteCallbackList<E extends android.os.IInterface> {

public RemoteCallbackList() { throw new RuntimeException("Stub!"); }

public int beginBroadcast() { throw new RuntimeException("Stub!"); }

public void broadcast(@android.annotation.NonNull java.util.function.Consumer<E> callback) { throw new RuntimeException("Stub!"); }

public void finishBroadcast() { throw new RuntimeException("Stub!"); }

public java.lang.Object getBroadcastCookie(int index) { throw new RuntimeException("Stub!"); }

public E getBroadcastItem(int index) { throw new RuntimeException("Stub!"); }

@android.annotation.Nullable
public java.util.concurrent.Executor getExecutor() { throw new RuntimeException("Stub!"); }

public int getFrozenCalleePolicy() { throw new RuntimeException("Stub!"); }

public int getMaxQueueSize() { throw new RuntimeException("Stub!"); }

public java.lang.Object getRegisteredCallbackCookie(int index) { throw new RuntimeException("Stub!"); }

public int getRegisteredCallbackCount() { throw new RuntimeException("Stub!"); }

public E getRegisteredCallbackItem(int index) { throw new RuntimeException("Stub!"); }

public void kill() { throw new RuntimeException("Stub!"); }

public void onCallbackDied(E callbackInterface) { throw new RuntimeException("Stub!"); }

public void onCallbackDied(E callbackInterface, java.lang.Object cookie) { throw new RuntimeException("Stub!"); }

public boolean register(E callbackInterface) { throw new RuntimeException("Stub!"); }

public boolean register(E callbackInterface, java.lang.Object cookie) { throw new RuntimeException("Stub!"); }

public boolean unregister(E callbackInterface) { throw new RuntimeException("Stub!"); }

public static final int FROZEN_CALLEE_POLICY_DROP = 3; // 0x3

public static final int FROZEN_CALLEE_POLICY_ENQUEUE_ALL = 1; // 0x1

public static final int FROZEN_CALLEE_POLICY_ENQUEUE_MOST_RECENT = 2; // 0x2

public static final int FROZEN_CALLEE_POLICY_UNSET = 0; // 0x0
@SuppressWarnings({"unchecked", "deprecation", "all"})
public static final class Builder<E extends android.os.IInterface> {

public Builder(int frozenCalleePolicy) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.os.RemoteCallbackList<E> build() { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.os.RemoteCallbackList.Builder setExecutor(@android.annotation.NonNull java.util.concurrent.Executor executor) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.os.RemoteCallbackList.Builder setInterfaceDiedCallback(@android.annotation.NonNull android.os.RemoteCallbackList.Builder.InterfaceDiedCallback<E> callback) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.os.RemoteCallbackList.Builder setMaxQueueSize(int maxQueueSize) { throw new RuntimeException("Stub!"); }
@SuppressWarnings({"unchecked", "deprecation", "all"})
public static interface InterfaceDiedCallback<E extends android.os.IInterface> {

public void onInterfaceDied(@android.annotation.NonNull android.os.RemoteCallbackList<E> remoteCallbackList, E deadInterface, @android.annotation.Nullable java.lang.Object cookie);
}

}

}

